Name:     redborder-nmsp
Version:  %{__version}
Release:  %{__release}%{?dist}

License:  GNU AGPLv3
URL:  https://gitlab.redborder.lan/bigdata/rb-nmsp
Source0: %{name}-%{version}.tar.gz

BuildRequires: maven java-1.8.0-devel

Summary: redborder nmsp
Requires: java-1.8.0

%description
%{summary}

%global debug_package %{nil}

%prep
%setup -qn %{name}-%{version}

%build
export JAVA_HOME="/usr/lib/jvm/jre-1.8.0-openjdk-1.8.0.382.b05-2.el9.x86_64"
export MAVEN_OPTS="-Xmx512m -Xms256m -Xss10m -XX:MaxPermSize=512m" && mvn clean package

%install
mkdir -p %{buildroot}/usr/lib/%{name}
export JAVA_HOME="/usr/lib/jvm/jre-1.8.0-openjdk-1.8.0.382.b05-2.el9.x86_64"
mvn dependency:copy-dependencies -DoutputDirectory=%{buildroot}/usr/lib/%{name}/deps
install -D -m 644 target/nmsp-*-nodependecy.jar %{buildroot}/usr/lib/%{name}
mv %{buildroot}/usr/lib/%{name}/nmsp-*-nodependecy.jar %{buildroot}/usr/lib/%{name}/rb-nmsp.jar
install -D -m 644 resources/systemd/redborder-nmsp.service %{buildroot}/usr/lib/systemd/system/redborder-nmsp.service

%clean
rm -rf %{buildroot}

%pre
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || \
    useradd -r -g %{name} -d / -s /sbin/nologin \
    -c "User of %{name} service" %{name}
exit 0

%post 
#--------------------------------------------------
# Seccion de postinstalacion del paquete RPM
#--------------------------------------------------
/sbin/ldconfig
mkdir -p /etc/redborder-nmsp

if [ ! -f /etc/redborder-nmsp/config.yml ]; then
  cat > /etc/redborder-nmsp/config.yml <<- _RBEOF_
zk_connect: "127.0.0.1:2181"
sensors:
_RBEOF_
fi

systemctl daemon-reload

%postun -p /sbin/ldconfig

%files
%defattr(755,root,root)
/usr/lib/%{name}
%defattr(644,root,root)
/usr/lib/systemd/system/redborder-nmsp.service

%changelog
* Mon Dec 13 2021 Vicente Mesa  <vimesa@redborder.com> - 1.6.2
- first spec version
